## com.trilead.ssh2.util
Class Tokenizer

    java.lang.Object
      com.trilead.ssh2.util.Tokenizer

    public class Tokenizer

extends java.lang.Object

Tokenizer. Why? Because StringTokenizer is not available in J2ME.

Constructor Summary
`Tokenizer()`

Method Summary
`static java.lang.String[]` `parseTokens(java.lang.String source, char delimiter)` Exists because StringTokenizer is not available in J2ME.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tokenizer

    public Tokenizer()

Method Detail

### parseTokens

    public static java.lang.String[] parseTokens(java.lang.String source,
                                                 char delimiter)

  Exists because StringTokenizer is not available in J2ME. Returns an array with at least 1 entry.

  Parameters:
    `source` - must be non-null
    `delimiter` -
  Returns:
    an array of Strings